Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Class PCTerminationCondition

    java.lang.Object
      com.connecterra.alepc.api.PCTerminationCondition

public class PCTerminationCondition
extends java.lang.Object

This is a type-safe enum which represents the conditions which can cause a programming cycle to terminate with a failure.

Field Summary
`static PCTerminationCondition` | `DURATION` Indicates that the programming cycle was terminated due to exhausting the `maxDuration` value specified in the PCSpec.
`static PCTerminationCondition` | `FAILURE` Indicates that the programming cycle was terminated due to a condition (such as multiple tags in field) for which retrying does not make sense.
`static PCTerminationCondition` | `STABLE_SET` Indicates that the programming cycle was terminated because the set of tags in field stabilized
`static PCTerminationCondition` | `TAG_COUNT` Indicates that the programming cycle was terminated because the tag count was reached
`static PCTerminationCondition` | `TRIALS` Indicates that the programming cycle was terminated due to exhausting the `maxTrials` value specified in the PCSpec.
`static PCTerminationCondition` | `TRIGGER` Indicates that the programming cycle was terminated due to receipt of a stop trigger.
`static PCTerminationCondition` | `UNDEFINE` Indicates that the programming cycle was terminated because the PCSpec was undefined or suspended.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAILURE

    public static final PCTerminationCondition FAILURE

  Indicates that the programming cycle was terminated due to a condition (such as multiple tags in field) for which retrying does not make sense.

### TRIGGER

    public static final PCTerminationCondition TRIGGER

  Indicates that the programming cycle was terminated due to receipt of a stop trigger.

### DURATION

    public static final PCTerminationCondition DURATION

  Indicates that the programming cycle was terminated due to exhausting the `maxDuration` value specified in the PCSpec.

### TRIALS

    public static final PCTerminationCondition TRIALS

  Indicates that the programming cycle was terminated due to exhausting the `maxTrials` value specified in the PCSpec.

### UNDEFINE

    public static final PCTerminationCondition UNDEFINE

  Indicates that the programming cycle was terminated because the PCSpec was undefined or suspended.

### TAG_COUNT

    public static final PCTerminationCondition TAG_COUNT

  Indicates that the programming cycle was terminated because the tag count was reached

### STABLE_SET

    public static final PCTerminationCondition STABLE_SET

  Indicates that the programming cycle was terminated because the set of tags in field stabilized

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD